Bug 179977 - rpmbuild needs rebuilding against newer libneon
rpmbuild needs rebuilding against newer libneon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-04 00:34 EST by Dave Jones
Modified: 2015-01-04 17:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-04 10:28:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-02-04 00:34:55 EST
(00:37:57:davej@nwo:devel)$ rpmbuild
rpmbuild: error while loading shared libraries: libneon.so.24: cannot open
shared object file: No such file or directory

(00:38:29:davej@nwo:devel)$ rpm -q neon
neon-0.25.5-1
neon-0.25.5-1

Why on *earth* does rpm have webdav support anyway ? Or shouldn't I ask? :)
Comment 1 Paul Nasrat 2006-02-04 10:28:20 EST
rpm -q [pauln@enki ~]$ rpm -q rpm
rpm-4.4.2-15.i386
[pauln@enki ~]$ ldd /bin/rpm | grep neon
        libneon.so.25 => /usr/lib/libneon.so.25 (0x004c7000)
[pauln@enki ~]$ ldd /usr/lib/rpm/rpmb | grep neon
        libneon.so.25 => /usr/lib/libneon.so.25 (0x004c7000)

I think you don't have rpm-build installed so it wasn't updated - yum install
rpm-build 
Comment 2 Dave Jones 2006-02-05 02:32:09 EST
hah, you were right. The rpmbuild symlink confused me.

What was odd though..

(02:34:10:davej@nwo:~)$ ldd /usr/lib/rpm/rpmb | grep neon
        libneon.so.24 => not found
        libneon.so.25 => /usr/lib64/libneon.so.25 (0x0000003e4ec00000)

then I installed rpmbuild, and got..

(02:35:55:davej@nwo:~)$ ldd /usr/lib/rpm/rpmb | grep neon
        libneon.so.25 => /usr/lib64/libneon.so.25 (0x0000003e4ec00000)


Spooky. Fixed though.

Note You need to log in before you can comment on or make changes to this bug.